| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDCBrushChanger Class Reference
Graphics Device Interface (GDI)

`#include <wx/dc.h>`

## Detailed Description

wxDCBrushChanger is a small helper class for setting a brush on a wxDC and unsetting it automatically in the destructor, restoring the previous one.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See Also
  wxDC::SetBrush(), wxDCFontChanger, wxDCTextColourChanger, wxDCPenChanger, wxDCClipper

## Public Member Functions

| wxDCBrushChanger (wxDC &dc, const wxBrush &brush)
| Sets brush on the given dc, storing the old one.
| ~wxDCBrushChanger ()
| Restores the brush originally selected in the DC passed to the ctor.

## Constructor & Destructor Documentation

wxDCBrushChanger::wxDCBrushChanger | ( | wxDC & | dc,
|  | const wxBrush & | brush
| ) |  |

Sets brush on the given dc, storing the old one.

Parameters

  dc | The DC where the brush must be temporary set.
  brush | The brush to set.

wxDCBrushChanger::~wxDCBrushChanger | ( |  | ) |

Restores the brush originally selected in the DC passed to the ctor.